import { _decorator, Component, Node, tween } from "cc";
import { PropBtn } from "../Components/PropBtn";
import { MainGame } from "../MainGame";
const { ccclass, property } = _decorator;

@ccclass('SpeedPropBtn')
export class SpeedPropBtn extends PropBtn {

    start() {
        super.start();
        // this.propNum = 10;
    }


    doUse() {
        super.doUse();

        MainGame.ins.player.moveScale += 1;
        tween(this.node)
            .delay(5)
            .call(()=>{
                MainGame.ins.player.moveScale -= 1;
            });

        this.startCd();
    }

}


